Extend video duration
curl --request POST \
--url https://api.mountsea.ai/gemini/video/extend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"videoId": "task-uuid-xxx",
"model": "veo31_fast",
"prompt": "the camera slowly zooms out to reveal more of the landscape"
}
'import requests
url = "https://api.mountsea.ai/gemini/video/extend"
payload = {
"videoId": "task-uuid-xxx",
"model": "veo31_fast",
"prompt": "the camera slowly zooms out to reveal more of the landscape"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
videoId: 'task-uuid-xxx',
model: 'veo31_fast',
prompt: 'the camera slowly zooms out to reveal more of the landscape'
})
};
fetch('https://api.mountsea.ai/gemini/video/extend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": "<string>"
}视频 (Veo / Omni)
延长视频
Extend the duration of a previously generated video.
- Extended videos can be further extended
- Extended videos cannot be used for insertion/removal/reshoot operations
Requires a valid videoId from a completed video generation task.
POST
/
gemini
/
video
/
extend
Extend video duration
概述
延长之前生成的视频时长。您可以选择提供一个提示词来引导延长部分的内容。仅支持 VEO 3.1 系列模型(
veo31_fast、veo31_quality)进行视频延长。- 延长后的视频可以继续延长
- 延长后的视频不能用于插入、移除或重拍操作
- 需要来自已完成视频生成任务的有效
videoId
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Video ID from a previously generated video task
示例:
"task-uuid-xxx"
Video model (only VEO 3.1 series supported for extend)
可用选项:
veo31_fast, veo31_quality 示例:
"veo31_fast"
Prompt text for the extended section
示例:
"the camera slowly zooms out to reveal more of the landscape"
响应
201 - application/json
task id, used to get task result later